using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class FmsWorkResultFile
    {
        [Key]
        public int SiteId { get; set; }
        [Key]
        public int WorkRequestId { get; set; }
        public int FileId { get; set; }

        [ForeignKey("SiteId,FileId")]
        [InverseProperty("FmsWorkResultFile")]
        public virtual CmFile CmFile { get; set; }
        [ForeignKey("SiteId,WorkRequestId")]
        [InverseProperty("FmsWorkResultFile")]
        public virtual FmsWorkResult FmsWorkResult { get; set; }
    }
}
